Bug 242969 - installation failure to load module ahci and discovery SATA disk on chipset ati crossfire xpress 1600
installation failure to load module ahci and discovery SATA disk on chipset ...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
7
x86_64 Linux
low Severity high
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-06-06 14:17 EDT by Giancarlo del Rossi
Modified: 2007-11-30 17:12 EST (History)
1 user (show)

See Also:
Fixed In Version: 2.6.22.1-33.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-07-31 16:11:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
dmesg log (18.17 KB, application/octet-stream)
2007-06-11 06:09 EDT, Giancarlo del Rossi
no flags Details
kernel base config (66.75 KB, application/octet-stream)
2007-06-11 06:10 EDT, Giancarlo del Rossi
no flags Details
lspic -vvv log (14.37 KB, text/plain)
2007-06-11 06:10 EDT, Giancarlo del Rossi
no flags Details
kernel modules loaded in memory (2.70 KB, text/plain)
2007-06-11 06:11 EDT, Giancarlo del Rossi
no flags Details
new kernel config (66.19 KB, application/octet-stream)
2007-06-11 08:30 EDT, Giancarlo del Rossi
no flags Details
new kernel config 2.6.22-rc4 (66.19 KB, application/octet-stream)
2007-06-11 08:30 EDT, Giancarlo del Rossi
no flags Details
lspci log kernel 2.6.22-rc4 (14.37 KB, text/plain)
2007-06-11 08:31 EDT, Giancarlo del Rossi
no flags Details
kernel configuration 2.6.21-5 (63.95 KB, application/octet-stream)
2007-06-15 08:45 EDT, Giancarlo del Rossi
no flags Details

  None (edit)
Description Giancarlo del Rossi 2007-06-06 14:17:24 EDT
Description of problem:
Installation problem on X86_64 fc7

I use a pxe network install on a new AMD Athlon 64X2 Dual Core 4200+

When the system try to load a ahci module, take around 4 minuts to discovery
sata HD, without success.

with alt+f4 during the discovery this type error:

<6>scsi2 : ahci
<3>ata3: softreset failed (1st FIS failed)
<4>ata3: softreset failed, retrying in 5 secs
<6>ata3: SATA link up 1.5 Gbps (SStatus 113 SControl 300)
<4>ata3.00: qc timeout (cmd 0xec)
<4>ata3.00: failed to IDENTIFY (I/O error, err_mask=0x104)

After the check in every sata channel the system go up with normal installation
(select keyboard and country), but anaconda not found any HD.



Fc7 X86_64 DVD version from  fedora bittorrent
PXE install on NFS server

HW components
AMD Athlon 64X2 Dual Core 4200+
4GB ddrII memory
mainboard ASROCK AliveXFire-eSATA2, with chipset
northbridge ATI 480X Cross Fire 1600 (RD480)
southbridge ATI SB600
(datasheet MB http://www.asrock.com/mb/overview.asp?Model=ALiveXFire-eSATA2)


HD SATA Maxtor STM3320820AS - 320 Gbyte -ULtraDMA-6

Steps to Reproduce:
1. take the same HW
2. start on pxe with normal install 
3. wait when the system load a ahci module
  
Actual results:

I change the bios settings wih acpi,pnp, and sata configuration, but i have the
same results

Expected results:

I think to take a test with the 386std fc7 (in download)
Comment 1 Giancarlo del Rossi 2007-06-07 04:19:16 EDT
I make the same test with the X86 std FC7 32 bit, full functionally !!!!!!

The problems are only in the X86_64bit version, i think on the kernel module.

When i install the distro, the system discovery all hw presents, and install
without any problems...


And now ???










Comment 2 Giancarlo del Rossi 2007-06-08 06:18:44 EDT
Hi,

I make this test to recognize if the problem are only into the kernel module.

The test finished with negative results, after every steps:

1) i added a 2 Gbyte usb pendrive and i install the FC7 64bit on this device (
Ok, i see only the usb device same a scsi disk).
2) download source kernel from
http://download.fedora.redhat.com/pub/fedora/linux/releases/7/Fedora/source/SRPMS/kernel-2.6.21-1.3194.fc7.src.rpm
3) I recompile, optimized for my cpu and i build the ahci into the kernel (no
module)
Reboot ...same error
4) Download from the kernel source the linux-2.6.21.3.tar.bz2, recompile with
same settings, error again.

5) i try to install another 64 bit version (ubuntu) from live cd, after busy box
 start, i have the same problems.

I think to test the new kernel version (2.6.21.4), but i dont belive that the
bug is fixed.

Bye
Giancarlo 
Comment 3 Giancarlo del Rossi 2007-06-08 07:08:43 EDT
i forgot one step when i install the src rpm kernel, the system tell a bug, 

i dont know its important for the fix, but i attachet here the log:

rpm -hiv kernel-2.6.21-1.3194.fc7.src.rpm

localhost login: BUG: warning at kernel/softirq.c:138/local_bh_enable() (Not
tainted)

Call Trace:
 [<ffffffff80229e7b>] local_bh_enable+0x42/0x98
 [<ffffffff8025c008>] cond_resched_softirq+0x35/0x4b
 [<ffffffff8022e9f5>] release_sock+0x59/0xaa
 [<ffffffff802252a6>] tcp_sendmsg+0x9ae/0xab8
 [<ffffffff8024ea00>] sock_sendmsg+0xea/0x107
 [<ffffffff80293107>] autoremove_wake_function+0x0/0x2e
 [<ffffffff88027bfc>] :jbd:do_get_write_access+0x4c1/0x4f6
 [<ffffffff802ba564>] zone_statistics+0x3f/0x60
 [<ffffffff8020e438>] __alloc_pages+0x72/0x2d4
 [<ffffffff803e88f3>] kernel_sendmsg+0x2c/0x3e
 [<ffffffff883085a0>] :sunrpc:xs_send_kvec+0x7a/0x83
 [<ffffffff88308617>] :sunrpc:xs_sendpages+0x6e/0x19b
 [<ffffffff88307389>] :sunrpc:xprt_timer+0x0/0x7f
 [<ffffffff8830883e>] :sunrpc:xs_tcp_send_request+0x5d/0x122
 [<ffffffff8830781f>] :sunrpc:xprt_transmit+0xc4/0x1ab
 [<ffffffff883c0c5b>] :nfs:nfs3_xdr_readargs+0x0/0x8d
[<ffffffff88305458>] :sunrpc:call_transmit+0x1f5/0x22f
 [<ffffffff8830a859>] :sunrpc:__rpc_execute+0x7d/0x21a
 [<ffffffff883bab64>] :nfs:nfs_execute_read+0x3c/0x4f
 [<ffffffff883baade>] :nfs:nfs_read_rpcsetup+0x113/0x15d
 [<ffffffff883bb135>] :nfs:nfs_pagein_one+0x265/0x285
 [<ffffffff883b9034>] :nfs:nfs_coalesce_requests+0x97/0xd0
 [<ffffffff883bb42d>] :nfs:nfs_readpages+0x164/0x1d0
 [<ffffffff80211892>] __do_page_cache_readahead+0x10d/0x1df
 [<ffffffff8803fc81>] :ext3:ext3_ordered_commit_write+0x95/0xbb
 [<ffffffff8020f341>] generic_file_buffered_write+0x646/0x775
 [<ffffffff8022fd78>] blockable_page_cache_readahead+0x53/0xb2
 [<ffffffff8022ccde>] make_ahead_window+0x82/0x9e
 [<ffffffff80212931>] page_cache_readahead+0x17f/0x1af
 [<ffffffff8020bcea>] do_generic_mapping_read+0x129/0x405
 [<ffffffff8020c9e2>] file_read_actor+0x0/0x18a
 [<ffffffff80215519>] generic_file_aio_read+0x15b/0x19d
 [<ffffffff8020c716>] do_sync_read+0xc9/0x10c
 [<ffffffff80293107>] autoremove_wake_function+0x0/0x2e
 [<ffffffff8023d55d>] do_ioctl+0x5c/0x6b
 [<ffffffff8020af0a>] vfs_read+0xcb/0x173
 [<ffffffff80210606>] sys_read+0x45/0x6e
 [<ffffffff8025711e>] system_call+0x7e/0x83
Comment 4 Giancarlo del Rossi 2007-06-08 11:38:57 EDT
Upgrade kernel to 2.6.21.4 same problems.
Installed a new controller sata silicon image sii3512
Add HD and DVD to new controller
Disabled integrated ati controller sata

Restart installation, with positive results !!!

The new sata controller discovery errata dimension of HD 299 Giga (really 320).


Comment 5 Chuck Ebbert 2007-06-08 17:26:45 EDT
The ATI controller pretends to be able to access memory above 4GB but
it can't. Fix for this is in 2.6.21.5. (Systems with 4GB actually
have some memory above 4GB due to memory remap.) i386 ignores
memory above 4GB.

Comment 6 Giancarlo del Rossi 2007-06-11 06:09:48 EDT
Created attachment 156688 [details]
dmesg log
Comment 7 Giancarlo del Rossi 2007-06-11 06:10:09 EDT
Created attachment 156689 [details]
kernel base config
Comment 8 Giancarlo del Rossi 2007-06-11 06:10:43 EDT
Created attachment 156690 [details]
lspic -vvv log
Comment 9 Giancarlo del Rossi 2007-06-11 06:11:03 EDT
Created attachment 156691 [details]
kernel modules loaded in  memory
Comment 10 Giancarlo del Rossi 2007-06-11 06:13:09 EDT
i remove the new additional controller

Re enabled on board sata controller
removed 1 Gb ram, totally 3 Gigabyte

Installed without any problems

Thanks for all
Comment 11 Giancarlo del Rossi 2007-06-11 08:29:00 EDT
Hi,
I make a new test only for a experimental porpouse.

Download the latest patch for candidate release of new 2.6.22 kernel 
http://www.kernel.org/pub/linux/kernel/v2.6/testing/patch-2.6.22-rc4.bz2

Add 1 gigabyte of ram, now i have again 4 gigabiyte totaly.

Recompile the kernel, the system functionally without any problems with 4
gigabyte of ram.

Linux localhost.localdomain 2.6.22-rc4 #1 SMP Mon Jun 11 13:33:07 CEST 2007
x86_64 x86_64 x86_64 GNU/Linux

[root@localhost log]# cat /proc/meminfo
MemTotal:      4065568 kB
MemFree:       3606540 kB
Buffers:         14216 kB
Cached:         336084 kB
SwapCached:          0 kB
Active:          86488 kB
Inactive:       314508 kB
SwapTotal:     2031608 kB
SwapFree:      2031608 kB
Dirty:              52 kB
Writeback:           0 kB
AnonPages:       50904 kB
Mapped:          24448 kB
Slab:            19380 kB
SReclaimable:     9104 kB
SUnreclaim:      10276 kB
PageTables:       7336 kB
NFS_Unstable:        0 kB
Bounce:              0 kB
CommitLimit:   4064392 kB
Committed_AS:   121768 kB
VmallocTotal: 34359738367 kB
VmallocUsed:     21812 kB
VmallocChunk: 34359716511 kB
HugePages_Total:     0
HugePages_Free:      0
HugePages_Rsvd:      0
Hugepagesize:     2048 kB


Attach here .config, modules in  memory, lspci -vvv e dmesg.

Bye
Giancarlo 
Comment 12 Giancarlo del Rossi 2007-06-11 08:30:36 EDT
Created attachment 156702 [details]
new kernel config
Comment 13 Giancarlo del Rossi 2007-06-11 08:30:56 EDT
Created attachment 156703 [details]
new kernel config 2.6.22-rc4
Comment 14 Giancarlo del Rossi 2007-06-11 08:31:34 EDT
Created attachment 156704 [details]
lspci log kernel 2.6.22-rc4
Comment 15 Giancarlo del Rossi 2007-06-15 08:43:23 EDT
Fixed !!!

First i test with the new kernel update 2.6.21-1.3194.fc7, with yum but i have
the same problems.

When i add another gigabyte of ram the system dont boot (totally 4 gigabyte)

After, i download the latest kernel 2.6.21.5 from the official repository,
compiled and installed.

SYSTEM UP !!!

Now the system start without any problems :

Linux localhost.localdomain 2.6.21.5 #1 SMP Fri Jun 15 13:30:27 CEST 2007 x86_64
x86_64 x86_64 GNU/Linux

[root@localhost ~]# free
             total       used       free     shared    buffers     cached
Mem:       4059484     504368    3555116          0      20512     302168
-/+ buffers/cache:     181688    3877796
Swap:      2031608          0    2031608


After i add the .config kernel file

When the kernel is aviable from the official fedora repository, the problems is
fixed for every user (i think...)

Thanks all

Bye 

Giancarlo 
Comment 16 Giancarlo del Rossi 2007-06-15 08:45:54 EDT
Created attachment 157102 [details]
kernel configuration 2.6.21-5
Comment 17 Jima 2007-07-30 10:52:43 EDT
I can confirm this bug on a Gigabyte GA-MA69VM-S2 with an Athlon64 X2 3800+ and
4gb of DDR2 memory.  The latest Fedora 7 kernel (2.6.22.1-33.fc7) works fine. 
Unfortunately, I have 4gb of RAM to run Xen, and the current F7 Xen kernel is
2.6.20-2925.11.fc7, which (kind of?) obviously lacks the fix from 2.6.21.5.  The
current Rawhide kernel-xen package (2.6.21-2925.14.fc8) does fix this, although
appears to introduce other bugs (where'd my keyboard go?). :-)

Chuck, are you aware of any plans to backport that particular fix to F7's
kernel-xen package?  Just curious.

Other than that, this bug can certainly be closed.  (ERRATA?  CURRENTRELEASE? 
Not sure what former-Core normally does.)

Note You need to log in before you can comment on or make changes to this bug.